
Enduro/X Core - Bug #789

For UBF buffers: TPSVCINFO field "len" is set to 0

09/12/2022 11:37 PM - Lauris

Status: Closed Start date: 09/12/2022

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

History

#1 - 11/12/2022 01:36 PM - Lauris

For UBF: TPSVCINFO.len shall be set to the allocated XATMI buffer size.

#2 - 11/12/2022 10:56 PM - Lauris

- Subject changed from TPSVCINFO field "len" is set to 0, even service received data buffer to For UBF buffers: TPSVCINFO field "len" is set to 0

#3 - 11/13/2022 12:20 AM - Lauris

Release notes

Updated XATMI UBF buffer handling routine for converting incoming buffers, now:

Services called with UBF receive the total UBF buffer size, including free space in TPSVCINFO.len field

tpimport() on imported UBF buffers will report the buffer size of imported UBF buffers.

Available from Enduro/X release 8.0.8+.

#4 - 11/13/2022 12:25 AM - Lauris

- Status changed from New to Resolved

- % Done changed from 0 to 100

#5 - 11/13/2022 12:25 AM - Lauris

- Status changed from Resolved to Closed
